package student.tutorial;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class settings {
private static settings mostCurrent = new settings();
public static Object getObject() {
    throw new RuntimeException("Code module does not support this method.");
}
 public anywheresoftware.b4a.keywords.Common __c = null;
public student.tutorial.main _main = null;
public student.tutorial.frmgame1 _frmgame1 = null;
public student.tutorial.common _common = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame6 _frmgame6 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmgame8 _frmgame8 = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.setting _setting = null;
public student.tutorial.frmstatistic _frmstatistic = null;
public static String  _getdata(anywheresoftware.b4a.BA _ba,String _sfilename,String _skey) throws Exception{
anywheresoftware.b4a.objects.collections.Map _m1 = null;
 //BA.debugLineNum = 30;BA.debugLine="Sub getData(sFilename As String,sKey As String) As";
 //BA.debugLineNum = 31;BA.debugLine="Dim m1 As Map";
_m1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 32;BA.debugLine="m1.Initialize";
_m1.Initialize();
 //BA.debugLineNum = 33;BA.debugLine="If File.Exists(File.DirInternal,sFilename) = True";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename)==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 34;BA.debugLine="m1 = File.ReadMap(File.DirInternal,sFilename)";
_m1 = anywheresoftware.b4a.keywords.Common.File.ReadMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename);
 }else {
 //BA.debugLineNum = 36;BA.debugLine="Return \"\"";
if (true) return "";
 };
 //BA.debugLineNum = 38;BA.debugLine="If m1.ContainsKey(sKey) = True Then";
if (_m1.ContainsKey((Object)(_skey))==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 39;BA.debugLine="Return m1.get(sKey)";
if (true) return BA.ObjectToString(_m1.Get((Object)(_skey)));
 }else {
 //BA.debugLineNum = 41;BA.debugLine="Return \"\"";
if (true) return "";
 };
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return "";
}
public static String  _loaddefaultsetting(anywheresoftware.b4a.BA _ba,String _sgamenumber) throws Exception{
anywheresoftware.b4a.objects.collections.Map _m1 = null;
 //BA.debugLineNum = 9;BA.debugLine="Sub loadDefaultSetting(sGameNumber As String)";
 //BA.debugLineNum = 10;BA.debugLine="If File.Exists(File.DirInternal,\"settingGame\" & sG";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"settingGame"+_sgamenumber+".app")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 11;BA.debugLine="Dim m1 As Map";
_m1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 12;BA.debugLine="m1.Initialize";
_m1.Initialize();
 //BA.debugLineNum = 13;BA.debugLine="m1.Put(\"stage\",\"1\")";
_m1.Put((Object)("stage"),(Object)("1"));
 //BA.debugLineNum = 14;BA.debugLine="m1.put(\"timeout\",\"29\")";
_m1.Put((Object)("timeout"),(Object)("29"));
 //BA.debugLineNum = 15;BA.debugLine="m1.Put(\"showsecond\",\"3000\")";
_m1.Put((Object)("showsecond"),(Object)("3000"));
 //BA.debugLineNum = 16;BA.debugLine="File.WriteMap(File.DirInternal,\"settingGame\" & sG";
anywheresoftware.b4a.keywords.Common.File.WriteMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"settingGame"+_sgamenumber+".app",_m1);
 };
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 3;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 5;BA.debugLine="End Sub";
return "";
}
public static String  _removedata(anywheresoftware.b4a.BA _ba,String _sfilename,String _skey) throws Exception{
anywheresoftware.b4a.objects.collections.Map _m1 = null;
 //BA.debugLineNum = 45;BA.debugLine="Sub RemoveData(sFilename As String,sKey As String)";
 //BA.debugLineNum = 46;BA.debugLine="Dim m1 As Map";
_m1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 47;BA.debugLine="m1.Initialize";
_m1.Initialize();
 //BA.debugLineNum = 48;BA.debugLine="If File.Exists(File.DirInternal,sFilename) = True";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename)==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 49;BA.debugLine="m1 = File.ReadMap(File.DirInternal,sFilename)";
_m1 = anywheresoftware.b4a.keywords.Common.File.ReadMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename);
 }else {
 //BA.debugLineNum = 51;BA.debugLine="Return \"\"";
if (true) return "";
 };
 //BA.debugLineNum = 53;BA.debugLine="If m1.ContainsKey(sKey) = True Then";
if (_m1.ContainsKey((Object)(_skey))==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 54;BA.debugLine="m1.Remove(sKey)";
_m1.Remove((Object)(_skey));
 //BA.debugLineNum = 55;BA.debugLine="File.WriteMap(File.DirInternal,sFilename,m1)";
anywheresoftware.b4a.keywords.Common.File.WriteMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename,_m1);
 }else {
 //BA.debugLineNum = 57;BA.debugLine="Return \"\"";
if (true) return "";
 };
 //BA.debugLineNum = 59;BA.debugLine="Return \"\"";
if (true) return "";
 //BA.debugLineNum = 60;BA.debugLine="End Sub";
return "";
}
public static String  _savedata(anywheresoftware.b4a.BA _ba,String _sfilename,String _skey,String _svalue) throws Exception{
anywheresoftware.b4a.objects.collections.Map _m1 = null;
 //BA.debugLineNum = 20;BA.debugLine="Sub saveData(sFilename As String,sKey As String,sV";
 //BA.debugLineNum = 21;BA.debugLine="Dim m1 As Map";
_m1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 22;BA.debugLine="m1.Initialize";
_m1.Initialize();
 //BA.debugLineNum = 23;BA.debugLine="If File.Exists(File.DirInternal,sFilename) = True";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename)==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 24;BA.debugLine="m1 = File.ReadMap(File.DirInternal,sFilename)";
_m1 = anywheresoftware.b4a.keywords.Common.File.ReadMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename);
 };
 //BA.debugLineNum = 26;BA.debugLine="m1.Put(sKey,sValue)";
_m1.Put((Object)(_skey),(Object)(_svalue));
 //BA.debugLineNum = 27;BA.debugLine="File.WriteMap(File.DirInternal,sFilename,m1)";
anywheresoftware.b4a.keywords.Common.File.WriteMap(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_sfilename,_m1);
 //BA.debugLineNum = 28;BA.debugLine="End Sub";
return "";
}
}
